Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## charvax.swing
Class JViewport

    java.lang.Object
      charva.awt.Component
          charva.awt.Container
              charvax.swing.JViewport

public class JViewport
extends Container

The JViewport class provides a scrollable window onto an underlying component, whose size can be greater than the size of the JViewport. The underlying component must implement the Scrollable interface.

Field Summary

Fields inherited from class charva.awt.Container
`_components, _currentFocus, _insets, _isValid, _layoutMgr, _minimumSize, _size`

Fields inherited from class charva.awt.Component
`_alignmentX, _alignmentY, _background, _cursesColor, _enabled, _focusListeners, _foreground, _keyListeners, _origin, _parent, _visible, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`JViewport()` Construct a JViewport.

Method Summary
`void` | `debug(int level_)`
`void` | `draw()` Draw all the components in this container.
`Rectangle` | `getBounds()` Get the bounding rectangle of this component, relative to the origin of its parent Container.
`Dimension` | `getExtentSize()` Returns the size of the visible part of the view.
`Component` | `getView()` Returns the JViewport's one child.
`Point` | `getViewPosition()` Gets the coordinates of the origin of the view, relative to the origin of the viewport.
`Dimension` | `getViewSize()` Returns the child component's size.
`void` | `setView(Component child_)` Set the JViewport's one child.
`void` | `setViewPosition(Point origin_)` Sets the coordinates of the origin of the view, relative to the origin of the viewport.

Methods inherited from class charva.awt.Container
`add, add, doLayout, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getCurrentFocus, getHeight, getInsets, getSize, getWidth, invalidate, isFocusTraversable, isValid, minimumSize, nextFocus, previousFocus, processKeyEvent, remove, requestFocus, setBackground, setFocus, setForeground, setHeight, setLayout, setSize, setSize, setWidth, validate`

Methods inherited from class charva.awt.Component
`addFocusListener, addKeyListener, contains, contains, getAlignmentX, getAlignmentY, getAncestorWindow, getBackground, getCursesColor, getForeground, getLocation, getLocationOnScreen, getName, getParent, hasFocus, hide, isDisplayed, isEnabled, isTotallyObscured, isVisible, processEvent, processFocusEvent, processMouseEvent, repaint, requestSync, setBounds, setBounds, setBounds, setEnabled, setLocation, setLocation, setName, setParent, setVisible, show, validateCursesColor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JViewport

    public JViewport()

  Construct a JViewport.

Method Detail

### setView

    public void setView(Component child_)

  Set the JViewport's one child.

### getView

    public Component getView()

  Returns the JViewport's one child.

### draw

    public void draw()

  Description copied from class: `Container`
  Draw all the components in this container.

  Overrides:
    `draw` in class `Container`

### getViewPosition

    public Point getViewPosition()

  Gets the coordinates of the origin of the view, relative to the origin of the viewport.

### setViewPosition

    public void setViewPosition(Point origin_)

  Sets the coordinates of the origin of the view, relative to the origin of the viewport.

### getViewSize

    public Dimension getViewSize()

  Returns the child component's size.

### getBounds

    public Rectangle getBounds()

  Description copied from class: `Component`
  Get the bounding rectangle of this component, relative to the origin of its parent Container.

  Overrides:
    `getBounds` in class `Component`

### getExtentSize

    public Dimension getExtentSize()

  Returns the size of the visible part of the view.

### debug

    public void debug(int level_)

  Overrides:
    `debug` in class `Container`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD